%define build_plf 0
%{?_with_plf: %{expand: %%define build_plf 1}}


%define name 	 hugin
%define version  0.4
%define snapshot 20040725
%define rel	 0.%snapshot.2

%if %build_plf
%define release %{rel}plf
%else
%define release %{rel}mdk
%endif

Summary: 	Hugin - Panorama Tools GUI
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{name}-%{version}.tar.bz2
Source11: 	%{name}.16.png
Source12: 	%{name}.32.png
Source13: 	%{name}.48.png
Patch1: 	hugin-cflags.patch.bz2
License: 	GPL
Group: 		Graphics
Url: 		http://hugin.sourceforge.net
Packager: 	%{packager}
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: 	libboost-devel
BuildRequires: 	libpano-devel
BuildRequires: 	fftw2-devel
BuildRequires: 	libwxgtk-devel >= 2
BuildRequires:	zlib-devel 
BuildRequires:	libtiff-devel
BuildRequires:	libjpeg-devel
BuildRequires: 	libpng-devel
	
%description
Hugin can be used to stitch multiple images together. The resulting image can
span 360 degrees. Another common use is the creation of very high resolution
pictures by combining multiple images. 

%package sift
Summary: 	Additional autofind keypoints utility for hugin
Group:		Graphics
Requires:	hugin >= 0.4

%description sift
The keypoint utility is an advanced algorithm to find automaticly keypoints 
between images. It create a keypoint list that can be used with Hugin
This package is part of the PLF repository because it use a patented 
algorithm ( see LICENCE_SIFT )


%prep 
%setup -q -n %{name}
%patch1 -p0

%build


# the configure script used by hugin is rotten. It understand only:
#	 --prefix
#	 --gtk=1|2 ( fail compile with gtk=1 ... )
./configure --gtk=2 --prefix=/usr

export CFLAGS=$RPM_OPT_FLAGS
export CXXFLAGS=$RPM_OPT_FLAGS
make

%install
rm -rf $RPM_BUILD_ROOT

# Binary executables
install -m755 src/hugin/hugin -D $RPM_BUILD_ROOT%{_bindir}/hugin
install -m755 src/PanoImage/panoviewer -D $RPM_BUILD_ROOT%{_bindir}/panoviewer
install -m755 src/tools/automatch -D $RPM_BUILD_ROOT%{_bindir}/automatch
install -m755 src/tools/autooptimiser -D $RPM_BUILD_ROOT%{_bindir}/autooptimiser
install -m755 src/tools/nona -D $RPM_BUILD_ROOT%{_bindir}/nona
install -m755 src/nona_gui/nona_gui -D $RPM_BUILD_ROOT%{_bindir}/nona_gui

# patented stuff
install -m755 src/tools/panosifter -D $RPM_BUILD_ROOT%{_bindir}/panosifter
install -m755 src/keypoints/sift_keypoints -D $RPM_BUILD_ROOT%{_bindir}/sift_keypoints
install -m755 src/tools/autopano_old -D $RPM_BUILD_ROOT%{_bindir}/autopano_old

# Resources files ( interface, pictures ... )
mkdir -p  $RPM_BUILD_ROOT%{_datadir}/%{name}/xrc/data
install -m644 src/hugin/xrc/*.xrc -D $RPM_BUILD_ROOT%{_datadir}/%{name}/xrc/
install -m644 src/hugin/xrc/data/*.xpm -D $RPM_BUILD_ROOT%{_datadir}/%{name}/xrc/data/
install -m644 src/hugin/xrc/data/*.png -D $RPM_BUILD_ROOT%{_datadir}/%{name}/xrc/data/
install -m644 src/hugin/xrc/data/*.htm* -D $RPM_BUILD_ROOT%{_datadir}/%{name}/xrc/data/
install -m644 src/hugin/xrc/data/icon.ico -D $RPM_BUILD_ROOT%{_datadir}/%{name}/xrc/data/icon.ico

# Menu icons
install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# menu entries
mkdir -p  $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(hugin):command="/usr/bin/hugin" \
icon="hugin.png" needs="X11"\
section="Multimedia/Graphics" startup_notify="false" \
title="Hugin" longtitle="A panorama tools GUI " \
mimetypes="" accept_url="false" \
multiple_files="false" 
?package(hugin):command="/usr/bin/panoviewer" \
icon="hugin.png" needs="X11"\
section="Multimedia/Graphics" startup_notify="false" \
title="Panoviewer" longtitle="A panorama viewer" \
mimetypes="" accept_url="false" \
multiple_files="false" 
EOF

%clean 
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus} 

%postun 
%{clean_menus} 

%files
%defattr(-,root,root)
%doc AUTHORS BUGS LICENCE README TODO
%{_bindir}/hugin
%{_bindir}/panoviewer
%{_bindir}/automatch
%{_bindir}/autooptimiser
%{_bindir}/nona
%{_bindir}/nona_gui
%{_bindir}/panosifter
%{_datadir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}

%files sift
%defattr(-,root,root)
%doc LICENCE_SIFT
%{_bindir}/sift_keypoints
%{_bindir}/panosifter
%{_bindir}/autopano_old

%changelog
* Sat Aug 28 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.4-0.20040725.2mdk
- fixed directory ownership (distlint)

* Thu Aug 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.4-0.20040725.1mdk
- update from Couriousous <couriousous@zarb.org>:
 - sync with CVS
 - drop patch0
 - split the patented and non-patented part in two package
- disabled parallel build
- fixed buildrequires

* Fri Jul 02 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.3-1mdk 
- contributed by Couriousous <couriousous@sceen.net>
